### Hierarchy

- MessageEncrypt
  - KeyPairHelper

## Index

### Methods

- encryptFields
- encryptFile
- encryptMessage
- encryptPermissionsFields

## Methods

### encryptFields

- encryptFields(fields: Map<string, string>): Promise<Map<string, string>>

- - Defined in utils/keypair/MessageEncrypt.ts:7

  #### Parameters

  - ##### fields: Map<string, string>

  #### Returns Promise<Map<string, string>>

### encryptFile

- encryptFile(file: string, fieldName: string): Promise<string>

- - Defined in utils/keypair/MessageEncrypt.ts:11

  #### Parameters

  - ##### file: string

  - ##### fieldName: string

  #### Returns Promise<string>

### encryptMessage

- encryptMessage(recipientPk: string, message: string): Promise<string>

- - Defined in utils/keypair/MessageEncrypt.ts:5

  #### Parameters

  - ##### recipientPk: string

  - ##### message: string

  #### Returns Promise<string>

### encryptPermissionsFields

- encryptPermissionsFields(recipient: string, data: Map<string, AccessRight>): Promise<string>

- - Defined in utils/keypair/MessageEncrypt.ts:9

  #### Parameters

  - ##### recipient: string

  - ##### data: Map<string, AccessRight>

  #### Returns Promise<string>

Generated using TypeDoc